<?php 
	define('_CONSTANT_', 1);
	require_once '../../core/start.php';

	$otv = $_POST['ans'];

	if(trim($_POST['text']) == '' ) {
	 	echo "<b>Введите текст!</b>";
	}else{
		DB::$dbs->query("INSERT INTO ".CHAT." (`id_user`, `id_kont`, `time`, `text`) VALUES (?, ?, ?, ?)", [$user['id'], $otv, time(), $_POST['text']]);
		
		if (!empty($otv)) 
		{
			# Add message in journal;
			$ank = DB::$dbs->queryFetch("SELECT `id` FROM ". USERS ." WHERE `id` = ?", [$otv]);
			if (!empty($ank)) 
			{
				$journal = 'Вам написали в <a href="' . HOME . '/modules/chat/index.php">чате</a>.';
		        $User->addUserJournal($journal, $otv);
			}
		}
		echo '<em>Сообщение отправлено, пожалуйста, обновите страницу!</em>';
	}
?>